Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkObjectFactoryCollection Class Reference

`#include <vtkObjectFactoryCollection.h>`

Inheritance diagram for vtkObjectFactoryCollection:

[legend]
Collaboration diagram for vtkObjectFactoryCollection:

[legend]
List of all members.

## Detailed Description

maintain a list of object factories

Date:
  2002/12/26 18:24:21

Revision:
  1.19

vtkObjectFactoryCollection is an object that creates and manipulates lists of object of type vtkObjectFactory.

See also:
  vtkCollection vtkObjectFactory

Created by:
  - Hoffman, Bill
  - King, Brad

CVS contributions (if > 5%):
  - Hoffman, Bill (40%)
  - King, Brad (24%)
  - Schroeder, Will (15%)
  - Martin, Ken (13%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkObjectFactoryCollection.h)`
  - .`cxx` (`/Common/vtkObjectFactoryCollection.cxx)`

Definition at line 50 of file vtkObjectFactoryCollection.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkObjectFactory *t)
vtkObjectFactory * | GetNextItem ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkObjectFactoryCollection * | SafeDownCast (vtkObject *o)
vtkObjectFactoryCollection * | New ()
## Protected Methods
| vtkObjectFactoryCollection ()
| ~vtkObjectFactoryCollection ()

## Member Typedef Documentation

typedef vtkCollection vtkObjectFactoryCollection::Superclass

| Reimplemented from vtkCollection. Definition at line 53 of file vtkObjectFactoryCollection.h.

## Constructor & Destructor Documentation

vtkObjectFactoryCollection::vtkObjectFactoryCollection | ( |  | ) | `[inline, protected]`

| Definition at line 67 of file vtkObjectFactoryCollection.h.

vtkObjectFactoryCollection::~vtkObjectFactoryCollection | ( |  | ) | `[inline, protected]`

| Definition at line 68 of file vtkObjectFactoryCollection.h.

## Member Function Documentation

virtual const char* vtkObjectFactoryCollection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkObjectFactoryCollection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkObjectFactoryCollection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkObjectFactoryCollection* vtkObjectFactoryCollection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

vtkObjectFactoryCollection* vtkObjectFactoryCollection::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

void vtkObjectFactoryCollection::AddItem | ( | vtkObjectFactory * | t | ) | `[inline]`

| Add an ObjectFactory from the list. Definition at line 57 of file vtkObjectFactoryCollection.h. References vtkCollection::AddItem().

vtkObjectFactory* vtkObjectFactoryCollection::GetNextItem | ( |  | ) | `[inline]`

| Get the next ObjectFactory in the list. Return NULL when the end of the list is reached. Definition at line 62 of file vtkObjectFactoryCollection.h. References vtkCollection::GetNextItemAsObject().

The documentation for this class was generated from the following file:

- Common/vtkObjectFactoryCollection.h